MANCONV(1)

NOM
manconv - Convertir une page de manuel d'un encodage à l'autre

SYNOPSIS
manconv -f encodage-d-origine[:encodage-d-origine...] -t encodage-résultant [-dqhV] [nom-de-fichier]

DESCRIPTION
manconv convertit une page de manuel d'un encodage à l'autre, comme iconv. Contrairement à iconv, il peut essayer à la suite plusieurs encodages possibles en entrée. C'est utile pour les pages de manuel installées dans des répertoires sans déclaration explicite de l'encodage, car elles peuvent être en UTF-8 ou dans un jeu de caractères obsolète.

Si une déclaration d'encodage est trouvée sur la première ligne de la page de manuel, cette déclaration écrase tout encodage en entrée indiqué sur la ligne de commande de manconv. Les déclaration d'encodage ont la forme suivante :

    '\" -*- coding: UTF-8 -*-

ou (si les préprocesseurs de page de manuel sont aussi à déclarer) :

    '\" t -*- coding: ISO-8859-1 -*-

OPTIONS

-f encodages, --from-code encodages
    Essaye chacun des encodages à la suite (une liste séparée par des deux-points) comme encodage d'entrée.

-t encodage, --to-code encodage
    Convertit la page de manuel en encodage.

-q, --quiet
    Ne renvoie pas de messages d'erreur quand la page ne peut pas être convertie.

-d, --debug
    Affiche les informations de mise au point.

-h, --help
    Affiche un message d'aide et s'arrête.

-V, --version
    Affiche le numéro de version.

VOIR AUSSI
iconv(1), man(1)

AUTEUR
Colin Watson (cjwatson@debian.org).

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:https://po4a.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».